Debian Bug report logs - #632954
make fakechroot multiarch

version graph

Package: fakechroot; Maintainer for fakechroot is Piotr Roszatycki <dexter@debian.org>; Source for fakechroot is src:fakechroot.

Reported by: Johannes Schauer <j.schauer@email.de>

Date: Thu, 7 Jul 2011 10:54:04 UTC

Severity: normal

Tags: patch

Found in version fakechroot/2.14-1

Fixed in version fakechroot/2.15-1

Done: Piotr Roszatycki <dexter@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, perezmeyer@gmail.com, stappers@debian.org, dirson@debian.org, Piotr Roszatycki <dexter@debian.org>:
Bug#632954; Package fakechroot. (Thu, 07 Jul 2011 10:54:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Johannes Schauer <j.schauer@email.de>:
New Bug report received and forwarded. Copy sent to perezmeyer@gmail.com, stappers@debian.org, dirson@debian.org, Piotr Roszatycki <dexter@debian.org>. (Thu, 07 Jul 2011 10:55:45 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Johannes Schauer <j.schauer@email.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: make fakechroot multiarch
Date: Thu, 07 Jul 2011 12:50:54 +0200
[Message part 1 (text/plain, inline)]
Package: fakechroot
Version: 2.14-1
Severity: normal
Tags: patch

Hi,

I prepared a patch that enables multiarch for fakechroot. Please have a
look at it and see that everything is okay.

cheers, josch
[fakechroot.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Piotr Roszatycki <dexter@debian.org>:
Bug#632954; Package fakechroot. (Thu, 07 Jul 2011 12:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Geert Stappers <stappers@stappers.nl>:
Extra info received and forwarded to list. Copy sent to Piotr Roszatycki <dexter@debian.org>. (Thu, 07 Jul 2011 12:51:04 GMT) Full text and rfc822 format available.

Message #10 received at 632954@bugs.debian.org (full text, mbox):

From: Geert Stappers <stappers@stappers.nl>
To: 632954@bugs.debian.org
Cc: Johannes Schauer <j.schauer@email.de>
Subject: Re: Bug#632954: make fakechroot multiarch
Date: Thu, 7 Jul 2011 14:28:04 +0200
On Thu, Jul 07, 2011 at 12:50:54PM +0200, Johannes Schauer wrote:
> Hi,
> 
> I prepared a patch that enables multiarch for fakechroot. Please have a
> look at it and see that everything is okay.

To me does look this NMU as a complete rewrite of the debian directory.
At least is it hard to see what the actual multiarch enabling is.


Cheers
Stappers
who could resist to remove the patch tag

> +++ fakechroot-2.14/debian/control	2011-07-07 12:39:27.000000000 +0200
> -Standards-Version: 3.9.1
> +Standards-Version: 3.9.2
>  Build-Depends:
> - libc6-dev-i386 [amd64],
> - libc6-dev-amd64 [i386],
> - libc6-dev-powerpc [ppc64],
> - libc6-dev-s390x [s390],
> - libc6-dev-sparc64 [sparc],
> - libc0.1-dev-i386 [kfreebsd-amd64],
> - gcc-multilib [amd64 i386 powerpc s390 sparc kfreebsd-amd64],
> - debhelper (>= 7.0.50~)
> + autotools-dev,
> + debhelper (>= 8.1.3)
>  Homepage: http://fakechroot.alioth.debian.org/
> -Vcs-Browser: http://bazaar.launchpad.net/~dexter/fakechroot/sid/files
> -Vcs-Bzr: lp:fakechroot
> +Vcs-Browser: https://github.com/fakechroot/fakechroot
> +Vcs-Git: git://github.com/fakechroot/fakechroot.git
      <snip/>  
> diff -Nru fakechroot-2.14/debian/rules fakechroot-2.14/debian/rules
> --- fakechroot-2.14/debian/rules	2010-12-18 02:12:23.000000000 +0100
> +++ fakechroot-2.14/debian/rules	2011-07-07 12:09:15.000000000 +0200
> @@ -1,97 +1,4 @@

ninety-seven lines deleted, four lines inserted.





Information forwarded to debian-bugs-dist@lists.debian.org, Piotr Roszatycki <dexter@debian.org>:
Bug#632954; Package fakechroot. (Thu, 07 Jul 2011 15:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Johannes Schauer <j.schauer@email.de>:
Extra info received and forwarded to list. Copy sent to Piotr Roszatycki <dexter@debian.org>. (Thu, 07 Jul 2011 15:54:03 GMT) Full text and rfc822 format available.

Message #15 received at 632954@bugs.debian.org (full text, mbox):

From: Johannes Schauer <j.schauer@email.de>
To: Geert Stappers <stappers@stappers.nl>
Cc: 632954@bugs.debian.org
Subject: Re: Bug#632954: make fakechroot multiarch
Date: Thu, 7 Jul 2011 17:51:11 +0200
On Thu, Jul 07, 2011 at 02:28:04PM +0200, Geert Stappers wrote:
> On Thu, Jul 07, 2011 at 12:50:54PM +0200, Johannes Schauer wrote:
> > Hi,
> > 
> > I prepared a patch that enables multiarch for fakechroot. Please have a
> > look at it and see that everything is okay.
> 
> To me does look this NMU as a complete rewrite of the debian directory.
It is not but as you pointed out it is a complete rewrite of the rules
file.

> ninety-seven lines deleted, four lines inserted.
If you had a look at what was deleted you would have seen that those
lines served the purpose of compiling lib32 and lib64 shared libraries
for certain architectures. This is no longer needed and also conflicts
with multiarch where every package should only install binaries into the
matching triplet and no other. Consult the debian policy manual section
9.1.1.

That the only thing that remains is the most minimal debhelper rules
file is only convenient and makes mantaining the package easier. No
functionality was lost - you can check that by having a closer look to
the diff.

> At least is it hard to see what the actual multiarch enabling is.
The enabling is in increasing the compatibility level to 9, build
depending on debhelper (>= 8.1.3), and setting Multi-Arch: same for the
shared library. The package had also to be split into two because of
reasons you can all read about here:
http://wiki.debian.org/Multiarch/Implementation

When building fakechroot with my patch applied, it will nicely result in
libfakechroot being installend into /usr/lib/<triplet>/fakechroot as it
should.

cheers, josch




Information forwarded to debian-bugs-dist@lists.debian.org, Piotr Roszatycki <dexter@debian.org>:
Bug#632954; Package fakechroot. (Fri, 08 Jul 2011 10:03:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Geert Stappers <stappers@stappers.nl>:
Extra info received and forwarded to list. Copy sent to Piotr Roszatycki <dexter@debian.org>. (Fri, 08 Jul 2011 10:03:11 GMT) Full text and rfc822 format available.

Message #20 received at 632954@bugs.debian.org (full text, mbox):

From: Geert Stappers <stappers@stappers.nl>
To: Johannes Schauer <j.schauer@email.de>, 632954@bugs.debian.org
Subject: Re: Bug#632954: make fakechroot multiarch
Date: Fri, 8 Jul 2011 11:59:49 +0200
On Thu, Jul 07, 2011 at 05:51:11PM +0200, Johannes Schauer wrote:
> On Thu, Jul 07, 2011 at 02:28:04PM +0200, Geert Stappers wrote:
         <bigsnip/>
> > At least is it hard to see what the actual multiarch enabling is.
> The enabling is in increasing the compatibility level to 9, build
> depending on debhelper (>= 8.1.3), and setting Multi-Arch: same for the
> shared library.

Now I do understand why the patch did look so intrusive.

Thanks for elaborating.


Groeten
Geert Stappers
-- 
> And is there a policy on top-posting vs. bottom-posting?
Yes.




Information forwarded to debian-bugs-dist@lists.debian.org, Piotr Roszatycki <dexter@debian.org>:
Bug#632954; Package fakechroot. (Mon, 25 Jul 2011 14:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Geert Stappers <stappers@stappers.nl>:
Extra info received and forwarded to list. Copy sent to Piotr Roszatycki <dexter@debian.org>. (Mon, 25 Jul 2011 14:21:06 GMT) Full text and rfc822 format available.

Message #25 received at 632954@bugs.debian.org (full text, mbox):

From: Geert Stappers <stappers@stappers.nl>
To: 632954@bugs.debian.org
Subject: background information
Date: Mon, 25 Jul 2011 16:10:43 +0200
[Message part 1 (text/plain, inline)]
More background information about multiarch
is at http://lists.debian.org/debian-devel-announce/2011/06/msg00002.html

And some background information about me, I'm considering to NMU

Looking forward for a response


Groeten Geert Stappers
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Piotr Roszatycki <dexter@debian.org>:
Bug#632954; Package fakechroot. (Wed, 27 Jul 2011 20:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Geert Stappers <stappers@stappers.nl>:
Extra info received and forwarded to list. Copy sent to Piotr Roszatycki <dexter@debian.org>. (Wed, 27 Jul 2011 20:27:05 GMT) Full text and rfc822 format available.

Message #30 received at 632954@bugs.debian.org (full text, mbox):

From: Geert Stappers <stappers@stappers.nl>
To: 632954@bugs.debian.org
Subject: Crossreference to Bug#635625
Date: Wed, 27 Jul 2011 22:24:37 +0200
This E-mail is to make a rossreference to Bug#635625
( http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=635625 )
which is about a FTBFS of fakechroot




Information forwarded to debian-bugs-dist@lists.debian.org, Piotr Roszatycki <dexter@debian.org>:
Bug#632954; Package fakechroot. (Sat, 30 Jul 2011 09:24:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Johannes Schauer <j.schauer@email.de>:
Extra info received and forwarded to list. Copy sent to Piotr Roszatycki <dexter@debian.org>. (Sat, 30 Jul 2011 09:24:15 GMT) Full text and rfc822 format available.

Message #35 received at 632954@bugs.debian.org (full text, mbox):

From: Johannes Schauer <j.schauer@email.de>
To: 632954@bugs.debian.org
Cc: goswin-v-b@web.de
Subject: Re: make fakechroot multiarch
Date: Sat, 30 Jul 2011 11:20:34 +0200
[Message part 1 (text/plain, inline)]
Hi,

I modified my patch by just adding a --parallel to the dh call as
suggested here: [1]

find the new patch attached

cheers, josch

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=617669#5
[bugreport.cgi?msg=5;filename=fakechroot.diff;att=1;bug=632954 (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Piotr Roszatycki <dexter@debian.org>:
Bug#632954; Package fakechroot. (Fri, 23 Sep 2011 09:03:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Roszatycki, Piotr" <piotr.roszatycki@gmail.com>:
Extra info received and forwarded to list. Copy sent to Piotr Roszatycki <dexter@debian.org>. (Fri, 23 Sep 2011 09:03:23 GMT) Full text and rfc822 format available.

Message #40 received at 632954@bugs.debian.org (full text, mbox):

From: "Roszatycki, Piotr" <piotr.roszatycki@gmail.com>
To: Johannes Schauer <j.schauer@email.de>, 632954@bugs.debian.org, control@bugs.debian.rg
Cc: goswin-v-b@web.de
Subject: Re: Bug#632954: make fakechroot multiarch
Date: Fri, 23 Sep 2011 10:58:44 +0200
[Message part 1 (text/plain, inline)]
tag  632954 pending
thanks

Thank you very much for rewritting this package and I will upload new
version as far as I'll fix some other bugs.

2011/7/30 Johannes Schauer <j.schauer@email.de>

> Hi,
>
> I modified my patch by just adding a --parallel to the dh call as
> suggested here: [1]
>
> find the new patch attached
>
> cheers, josch
>
> [1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=617669#5
>



-- 
 .''`.    Piotr Roszatycki
: :' :    mailto:Piotr.Roszatycki@gmail.com
`. `'     mailto:dexter@debian.org
  `-
[Message part 2 (text/html, inline)]

Added tag(s) pending. Request was from "Roszatycki, Piotr" <piotr.roszatycki@gmail.com> to control@bugs.debian.org. (Mon, 26 Sep 2011 19:01:35 GMT) Full text and rfc822 format available.

Reply sent to Piotr Roszatycki <dexter@debian.org>:
You have taken responsibility. (Mon, 03 Oct 2011 21:21:23 GMT) Full text and rfc822 format available.

Notification sent to Johannes Schauer <j.schauer@email.de>:
Bug acknowledged by developer. (Mon, 03 Oct 2011 21:21:23 GMT) Full text and rfc822 format available.

Message #47 received at 632954-close@bugs.debian.org (full text, mbox):

From: Piotr Roszatycki <dexter@debian.org>
To: 632954-close@bugs.debian.org
Subject: Bug#632954: fixed in fakechroot 2.15-1
Date: Mon, 03 Oct 2011 21:17:38 +0000
Source: fakechroot
Source-Version: 2.15-1

We believe that the bug you reported is fixed in the latest version of
fakechroot, which is due to be installed in the Debian FTP archive:

fakechroot_2.15-1.debian.tar.gz
  to main/f/fakechroot/fakechroot_2.15-1.debian.tar.gz
fakechroot_2.15-1.dsc
  to main/f/fakechroot/fakechroot_2.15-1.dsc
fakechroot_2.15-1_all.deb
  to main/f/fakechroot/fakechroot_2.15-1_all.deb
fakechroot_2.15.orig.tar.gz
  to main/f/fakechroot/fakechroot_2.15.orig.tar.gz
libfakechroot_2.15-1_i386.deb
  to main/f/fakechroot/libfakechroot_2.15-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 632954@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Piotr Roszatycki <dexter@debian.org> (supplier of updated fakechroot package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 30 Sep 2011 14:07:46 +0200
Source: fakechroot
Binary: fakechroot libfakechroot
Architecture: source all i386
Version: 2.15-1
Distribution: unstable
Urgency: low
Maintainer: Piotr Roszatycki <dexter@debian.org>
Changed-By: Piotr Roszatycki <dexter@debian.org>
Description: 
 fakechroot - gives a fake chroot environment - utilities
 libfakechroot - gives a fake chroot environment - runtime
Closes: 611156 632954 635625 637119 641079
Changes: 
 fakechroot (2.15-1) unstable; urgency=low
 .
   * New upstream release:
     - New function faccessat(2) was added.  It fixes "test -r" command.
       Thanks to Johannes Schauer.  Closes: #641079.
     - The popen(3) function were reimplemented based on OpenBSD source to
       prevent some coredumps with newer GNU C Library.  Closes: #637119.
     - Manpage explains that fakeroot should be called in the fakechroot
       environment to prevent some problems with incorrect order of preloaded
       libraries.  Closes: #611156.
   * Multiarch support.  Splitting package into fakechroot and libfakechroot.
     Thanks to Johannes Schauer.  Closes: #632954, #635625
   * Attached example for debootstrap usage to fakechroot package.
Checksums-Sha1: 
 fe2d57fefd70f77bdab13ada2c998323d636b3aa 1231 fakechroot_2.15-1.dsc
 716773da43ca3c4317e21500cf8c5ddba9b80f86 413609 fakechroot_2.15.orig.tar.gz
 1726baf9e0819c2af6258b43830aa0a80f3667bb 7740 fakechroot_2.15-1.debian.tar.gz
 c8ba9bb7e9268d86af2616680e76974e39ce6238 22022 fakechroot_2.15-1_all.deb
 81f128eda446b9a555cc42a7a6c2164889d2e6eb 42652 libfakechroot_2.15-1_i386.deb
Checksums-Sha256: 
 05c219130dc0618c07caed90f5c65869676a88a1e59642e0b8b3cb807c52ba99 1231 fakechroot_2.15-1.dsc
 ce184d359212085ce4e02639f6740aac22b26896fb06f3e54941d125939d584c 413609 fakechroot_2.15.orig.tar.gz
 b4f8d5461cbf9451d356d135f38258ee41d20c2d8ac20ceb7c8886bd44b7054c 7740 fakechroot_2.15-1.debian.tar.gz
 3261ed4d1b55eac6806437590754527e8c516c6ac1817dd526a25bec19ae3b56 22022 fakechroot_2.15-1_all.deb
 42e4835dc5506084e6d721f645991223542e771051ccbcdfe5b664d78b1adfb5 42652 libfakechroot_2.15-1_i386.deb
Files: 
 d2717c5cca18f98be187bd5890d5a244 1231 utils optional fakechroot_2.15-1.dsc
 ce8bdde1d30274e124e8ecf8f59681ff 413609 utils optional fakechroot_2.15.orig.tar.gz
 fba0b9ab189ba51f32cdb6f5aa6636b1 7740 utils optional fakechroot_2.15-1.debian.tar.gz
 6f438af9360b3d1219a2600b29af430d 22022 utils optional fakechroot_2.15-1_all.deb
 160182537ac3286d89072fb53964e980 42652 utils optional libfakechroot_2.15-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk6Fub8ACgkQhMHHe8CxCltCSQCg8sHYWpd8KPMEr0IyMzIYbnlP
M0QAn1zQcd65wQNu5cGHUS/ifTOuI8Vy
=sLhg
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 11 Nov 2011 07:34:38 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 23:21:13 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.